API documentation | API docs for agents | OpenAPI 3.1

GET /api/v1/load-board/provider-setup

ark.get_load_board_provider_setup

Returns the current user DAT and Sylectus setup status, assigned seat identifiers, readiness state, and suggested identifiers used by load-board posting workflows.

Availability
Expanded preview
Scopes
loads:read
ARK permissions
canViewLoads
Team visibility
Not entity-scoped
Idempotency-Key
Not required
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

providerqueryarray<string>
Provider to inspect. Repeat this query parameter to inspect multiple providers.
min items: 1; max items: 2
providersquerystring
Comma-separated provider list. Example: dat,sylectus.

Request body

None.

Example request

Shell
curl 'https://arktms.com/api/v1/load-board/provider-setup' \
  -H "Authorization: Bearer $ARK_API_TOKEN"

Success response

Load board provider setup

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.canEditCurrentUserSeatbooleanrequired

Whether the current user can change their assigned DAT username or Sylectus user ID.

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied